/**
 * Global App /js file
 * custom.js
 * Doctype Personna
 * Copyright 2012, Jan O. Waldeck
 * www.doctype-themes.com
 * 4/2012
 */

// When DOM is fully loaded
jQuery(document).ready(function($) {
	
	/* ---------------------------------------------------------------------- */
	/*	Custom Functions and Animations
	/* ---------------------------------------------------------------------- */
	
	// Variable
	var $logo 	= $('#logo');  
  
  // This shows the logo in case of bookmark, by the especific hash defined in the interval
  var hashVal = window.location.hash.split("#")[1];
  if((hashVal == 'portfolio')||(hashVal == 'resume')||(hashVal == 'contact')){
      $logo.show();
    }

		
	// Fade Logo on
	$('.tab-resume,.tab-portfolio,.tab-contact').click(function() {
	  $logo.fadeIn('slow');
	});
	// Hide logo
	$('.tab-profile').click(function() {
	  $logo.fadeOut('slow');
	});	
  
  // Hide the loading DIV after DOM is loaded
  $('#loading').fadeOut(100);

  // Onload Menu and Profile animation
  $(".menu").slideUp(1).delay(300).slideDown('slow');
  
  $("#profile.container").show('fast');


	/* ---------------------------------------------------------------------- */
	/*	TWITTER FEED JQUERY SCRIPT - thanks to seaofclouds - Files here https://github.com/seaofclouds/tweet/
	/*  More configuration options: http://tweet.seaofclouds.com/
	/* ---------------------------------------------------------------------- */  

  $(".tweet").tweet({
      username: "EnvatoWebDesign",
      join_text: "auto",
      avatar_size: 0,
      count: 1,
      auto_join_text_default: "we said,",
      auto_join_text_ed: "we",
      auto_join_text_ing: "we were",
      auto_join_text_reply: "we replied to",
      auto_join_text_url: "we were checking out",
      loading_text: "loading tweets..."
    });

	/* ---------------------------------------------------------------------- */
	/*	Scroll to top. Tks to http://www.mattvarone.com/web-design/uitotop-jquery-plugin/
	/* ---------------------------------------------------------------------- */
	
		var defaults = {
  		containerID: 'toTop', // fading element id
			containerHoverID: 'toTopHover', // fading element hover id
			scrollSpeed: 1200,
			easingType: 'linear' 
 		};
		
		$().UItoTop({ easingType: 'easeOutQuart' });	
	
	
	/* ---------------------------------------------------------------------- */
	/*	Menu
	/* ---------------------------------------------------------------------- */
	
	// Needed variables
	var $content 		= $("#content");
	
	// Run easytabs
  	$content.easytabs({
	  animate			: true,
	  updateHash		: true, //this adds ability of bookmarking a specific page
	  transitionIn		:'slideDown',
	  transitionOut		:'slideUp',
	  animationSpeed	:600,
	  tabs				:"> .menu > ul > li",
	  tabActiveClass	:'active',
	});
	
	// Hover menu effect
	$content.find('.etabs li a').hover(
		function() {
			$(this).stop().animate({ paddingTop: "10px" }, 200);
		},function(){
			$(this).stop().animate({ paddingTop: "0px" }, 600);
		}
	);
	
	/* ---------------------------------------------------------------------- */
	/*	Portfolio
	/* ---------------------------------------------------------------------- */ 

 	// Needed variables
	var $container	 	= $('#portfolio-list');
	var $filter 		= $('#portfolio-filter');
		
	// Run Isotope  
	$container.isotope({
		filter				: '*',
		layoutMode   		: 'masonry',
		animationEngine : 'jquery',
		animationOptions	: {
		duration			: 750,
		easing				: 'linear'
	   }
	});	
	
	// Isotope Filter 
	$filter.find('a').click(function(){
	  var selector = $(this).attr('data-filter');
		$container.isotope({ 
		filter				: selector,
		animationOptions	: {
		duration			: 750,
		easing				: 'linear',
		queue				: false,
	   }
	  });
	  return false;
	});	
	

	
	// Copy categories to item classes
	$filter.find('a').click(function() {
		var currentOption = $(this).attr('data-filter');
		$filter.find('a').removeClass('current');
		$(this).addClass('current');
	});	
	
  /* ---------------------------------------------------- */
  /* jQuery FickrFEED function
  /* Thanks to Joel Sutherland at http://www.gethifi.com/blog/a-jquery-flickr-feed-plugin
  /* ---------------------------------------------------- */
	
	$('#flickr-feed').jflickrfeed({
		limit: 6,
		qstrings: {
			id: '52617155@N08'
		},
		itemTemplate: '<li>'+
						'<a class="flickr" rel="group1" href="{{image}}" title="{{title}}">' +
							'<img src="{{image_s}}" alt="{{title}}" />' +
						'</a>' +
					  '</li>'
	}, function(data) {
		$('.flickr').fancybox();
	});

	/* ---------------------------------------------------------------------- */
	/*	Fancybox - Review all options here http://fancybox.net/api
	/* ---------------------------------------------------------------------- */

	$container.find('.flickr').fancybox({
		'transitionIn'		:	'fade',
		'transitionOut'		:	'fade',
		'speedIn'			:	200, 
		'speedOut'			:	200, 
		'overlayOpacity'	:   0.9,
		'overlayColor' : '#777'
	});

	$container.find('.folio').fancybox({
		'transitionIn'		:	'elastic',
		'transitionOut'		:	'elastic',
		'speedIn'		     	:	400, 
		'speedOut'		  	:	200, 
		'opacity'         : 'true',
		'centerOnScroll'  : 'true',
		'autoScale'       : 'true',
		'padding'         : 0,
		'margin'          : 40,
		'titlePosition'   : 'inside', // Options are 'outside', 'inside' or 'over'
		'overlayOpacity'	: 0.9,
		'overlayColor' : '#000'
	});
	
	
	/* ---------------------------------------------------------------------- */
	/*	Google Maps - Tks to http://www.smashinglabs.pl/gmap
	/* ---------------------------------------------------------------------- */
	
	
	// Needed variables
	var $map 				= $('.map-content '),
		
		$address 			= 'Soho, New York, NY';
		$tabContactClass 	= ('tab-contact'),
		
	$content.bind('easytabs:after', function(evt,tab,panel) {
		if ( tab.hasClass($tabContactClass) ) {
			$map.gMap({
				address: $address,
				zoom: 12,
				maptype: google.maps.MapTypeId.TERRAIN, // Can also be ROADMAP, HYBRID, SATELLITE, TERRAIN				
				markers: [
					{ 'address' : $address }
				]
			});
		}
  	});
  	
	
	/* ---------------------------------------------------------------------- */
	/*	Style switcher
	/* ---------------------------------------------------------------------- */
	
	$('.bg-switcher').click(
		function() {
			var bgNumber = $(this).attr("value");
			$('#content').css("background-image","url(images/content-bg"+bgNumber+".png)");
		});


  /* ---------------------------------------------------- */
  /* Responsive Mobile Menu
  /* ---------------------------------------------------- */		

		var $mainNav    = $('.menu').children('ul'),
			optionsList = '<option value="" selected>Go to…</option>';


		$mainNav.find('li').each(function() {
			var $this   = $(this),
				$anchor = $this.children('a'),
				depth   = $this.parents('ul').length - 1,
				indent  = '';

			if( depth ) {
				while( depth > 0 ) {
					indent += '--';
					depth--;
				}
			}

			optionsList += '<option value="' + $anchor.attr('href') + '">' + indent + ' ' + $anchor.text() + '</option>';
		}).end()
		  .after('<select class="responsive-nav">' + optionsList + '</select>');

		$('.responsive-nav').on('change', function() {
			window.location = $(this).val();
		});		
			
	/* ---------------------------------------------------------------------- */
	/*	Contact
	/* ---------------------------------------------------------------------- */

	//if submit button is clicked
	$('#submit').click(function () {		
		
		//Get the data from all the fields
		var name = $('input[name=name]');
		var email = $('input[name=email]');
		var comment = $('textarea[name=comment]');
		var captcha = $('input[name=captcha]');

		//Simple validation to make sure user entered something
		//If error found, add hightlight class to the text field
		if (name.val()=='') {
			name.addClass('hightlight');
			return false;
		} else name.removeClass('hightlight');
		
		if (email.val()=='') {
			email.addClass('hightlight');
			return false;
		} else email.removeClass('hightlight');
		
		
		if (comment.val()=='') {
			comment.addClass('hightlight');
			return false;
		} else comment.removeClass('hightlight');
		
		if (captcha.val()!='cold') {
			captcha.addClass('hightlight');
			return false;
		} else captcha.removeClass('hightlight');
		
		//organize the data properly
		var data = 'name=' + name.val() + '&email=' + email.val() + '&comment='  + encodeURIComponent(comment.val()) + '&captcha=' + captcha.val();
		
		//disabled all the text fields
		$('.text').attr('disabled','true');
		
		//show the loading sign
		$('.loading').show();
		
		//start the ajax
		$.ajax({
			//this is the php file that processes the data and send mail
			url: "mail.php",	
			
			//GET method is used
			type: "GET",

			//pass the data			
			data: data,		
			
			//Do not cache the page
			cache: false,
			
			//success
			success: function (html) {				
				//if process.php returned 1/true (send mail success)
				if (html==1) {					
					//hide the form
					$('.form').fadeOut('slow');					
					
					//show the success message
					$('.done').fadeIn('slow');
					
				//if process.php returned 0/false (send mail failed)
				} else alert('Sorry, unexpected error. Please try again later.');				
			}		
		});
		
		//cancel the submit button default behaviours
		return false;
	});	

	// Portfolio image animation - Tks to http://jobyj.in/adipoli/
	$('.thumb').adipoli({
		'startEffect' 	: 'grayscale',
		'hoverEffect' 	: 'boxRandom',
		'imageOpacity' 	: 0.3,
		'animSpeed' 	: 100
	});

});	



